!*** NEW VERBS --------------------------------------------------------------

verb "skip", "skim"
    *                                DoVague
    * held                           DoSkip
    * held direction                 DoSkip
    * held "to"/"toward"/"at"/"on"/"onto"/"into"/"over"/"across" xobject DoSkip

verb "clear", "cls"
    *                                DoClearScreen

!Not a replacement to "look" -- just another implemenation of it.
verb "inspect"
    * object                         DoLook

!Add the ability to view the chapter pic/information again.
verb "view"
    *                                DoViewPicture
    * object                         DoLook

!Add the ability to fill something with something else
verb "fill", "dip", "dunk"
    *                                                      DoVague
    * container "from"/"using"/"with"/"in"/"into" xobject  DoFill
    * container                                            DoFill

!Add the ability to extract something from something
verb "extract"
    *                                DoVague

!Add the "mode" command, for giving directives to the wristwatch
verb "mode"
    * "normal"                       DoModeNormal
    * "intox"                        DoModeIntox
    * "compass"                      DoModeCompass
    * "translate"                    DoModeTranslate
    * "xyzzy"                        DoXyzzy
    * string                         DoModeParsing

!And then give single-word alternates for each mode
verb "normal"
    *   DoModeNormal
verb "intox"
    *   DoModeIntox
verb "compass"
    *   DoModeCompass
verb "translate"
    *   DoModeTranslate

!Used primarily to point the watch at something.
verb "point", "aim"
    *                                       DoVague
    * held                                  DoPoint
    * held "at"/"toward"/"to" xobject       DoPoint
    * "at"/"toward"/"to" object             DoPointFinger
    * "finger" "at"/"toward"/"to" object    DoPointFinger

!Because we can have a "folded/unfolded" note, allow this.
verb "unfold", "unroll"
    *                      DoVague
    * object               DoUnfold

!Because we can have a "folded/unfolded" note, allow this.
verb "fold"
    *                      DoVague
    * object               DoFold

!Give the ability to "Say" something.
verb "say"
    *                                     DoVague
    * "hello"/"hi"/"howdy" "to" object    DoHello
    * "hello"/"hi"/"howdy"                DoHello
    * string "to" living                  DoTellString
    * anything "to" living                DoTellReverse
    * string                              DoTellString
    * anything                            DoTellReverse

!Basically, there is a place where somebody offers us something. We could of
!course just "take" or "get" it, but the player *might* try this... so....
verb "accept"
    *                                                    DoVague
    * notheld "from" parent                              DoGet
    * notheld                                            DoGet

!Added verb to "poke" or "prod" or "stab" something.
verb "poke", "prod", "stab"
    *                                           DoVague
    * "at" object "with"/"using" held           DoPoke
    * object "with"/"using" held                DoPoke
    * object                                    DoPoke

!Added verb to use in prying portal doors open.
verb "pry"
    *                                           DoVague
    * openable                                  DoPry
    * "open" openable                           DoPry
    * openable "open"                           DoPry
    * openable "open" "with"/"using" held       DoPry
    * openable "with"/"using" held              DoPry
    * "open" openable "with"/"using" held       DoPry

!Added verb to wedge things into portal doors.
verb "wedge"
    *                                           DoVague
    * held "in"/"into" openable                 DoPryReverse

xverb "playsong"
    * string                                    DoPlaySong

xverb "walkthrough", "walkthru", "walk-thru"
    *                                           DoWalkthru

xverb "xyzzy"
    *           DoXyzzy

xverb "plugh"
    *           DoPlugh

xverb "about"
    *           DoAbout

!*** REPLACEMENTS -----------------------------------------------------------

!Replaces "throw" from the "verbstub.g" file to be a little more robust.
!Note -- why doesn't north/south/east/west work??? It doesn't seem to...
verb "throw", "hurl", "toss", "pitch", "chuck", "chunk", "lob", "fling"
    *                                                     DoVague
    * held "n"/"s"/"e"/"w"/"north"/"south"/"east"/"west"  DoThrowAt
    * held                                                DoThrowAt
    * held "at"/"to"/"toward"/"into"/"in" xobject         DoThrowAt

!Replaces "jump" from the "verbstub.g" file
!Added "vault" synonym, and object-based variations.
verb "jump", "leap", "hop", "vault"
    *                                DoJump
    * "into"/"in" object             DoJumpInto
    * object                         DoJumpOver
    * "over"/"across" object         DoJumpOver

!Replaces "climb" from the "verbstub.g" file
!Added "over" and "across" as a words
verb "climb"
    *                                DoClimb
    * "in"/"into"/"inside" object    DoEnter
    * "in"/"inside"                  DoEnter
    * "on"/"onto" object             DoEnter
    * "off"/"offof"/"outof" object   DoExit
    * "down"/"out"/"outside"         DoClimbOut
    * "up"/"down" object             DoClimb
    * "over"/"across" object         DoClimb
    * object                         DoClimb

!Replaces "swim" from the "verbstub.g" file
verb "swim", "dive"
    *                                            DoSwim
    * "in"/"into"/"across"/"through"/"on"        DoSwim
    * "in"/"into"/"across"/"through"/"on" object DoSwim
    * object                                     DoSwim

!Replaces "drop" in order to add "discard" synonym
!Add "special drop" to allow drops of things that are "on" other things.
verb "drop", "discard"
    *                                                       DoVague
    * multiheld "on" "ground"/"floor"                       DoPutonGround
    * multiheld "outside" xobject                           DoPutonGround
    * multiheld "in"/"into"/"inside" container              DoPutIn
    * multiheld "on" platform                               DoPutIn
    * multiheld                                             DoDrop

!Replaces "empty/unload" to add the "pour" and "dump" synonyms
!Adds DoEmptyInto "in/into" object for pouring (containers only).
!Adds "pour out object" and "pour object out" directives.
verb "empty", "unload", "pour", "dump"
	*                                                       DoVague
	* container "on"/"onto" "ground"/"floor"                DoEmptyGround
	* platform "on"/"onto" "ground"/"floor"                 DoEmptyGround
    * container "out"                                       DoEmptyGround
    * "out" container                                       DoEmptyGround
    * container "in"/"into" container                       DoEmpty
    * container "on"/"onto" object                          DoEmpty
	* container                                             DoEmpty
	* platform                                              DoEmpty

!Replaces "give" to add the "serve" synonym
verb "give", "hand", "offer", "pass", "serve"
    *                                                       DoVague
    * "me" object                                           DoGive
	* object "to" object                                    DoGive
	* object                                                DoGive

!Replaces "read" so that we can make some distinction.
verb "read", "peruse"
	*                                                       DoVague
    * readable                                              DoRead

!Replaces "yell" so we can add additional objects, etc.
verb "yell", "shout", "scream", "bellow", "cry", "call", "holler"
    *                                               DoYell
    * "about" anything "at"/"to"/"toward" living    DoYellReverse
    * anything "at"/"to"/"toward" living            DoYellReverse
    * "about"/"for"/"out" anything                  DoYellReverse
    * "at"/"to"/"toward" living "about" anything    DoYell
    * "at"/"to"/"toward" living                     DoYell
    * string "at"/"to"/"toward" living              DoYellString
    * string                                        DoYellString
    * anything                                      DoYellReverse

!Replaces "tell" so we can do "tell about x" and infer the speaking obj.
!Also added the way to say "hello" instead of only as a verb of its own
verb "tell"
    *                                               DoVague
    * "me" "about" anything                         DoAskQuestion
    * living "about" string                         DoTellString
    * living "about" anything                       DoTell
    * living string                                 DoTellString
    * living                                        DoTell
    * "about" string                                DoTellString
    * "about" anything                              DoTellReverse
    * object "hello"/"hi"/"howdy"                   DoHello
    * string "to" living                            DoTellString

!Replaces "explain" so we can do "explain about x" and infer speaking obj.
verb "explain"
    * "to" "me" "about" anything                            DoAskQuestion
    * "about" anything "to" "me"                            DoAskQuestion
    * "to" living "about" anything                          DoTell
    * "to" living                                           DoTell
    * "to" living string                                    DoTellString
    * "about" string "to" living                            DoTellString
    * "about" anything "to" living                          DoTellReverse
    * "about" string                                        DoTellString
    * "about" anything                                      DoTell

!Adds to "ask" (question/consult are not changed) in order to allow
!for "ask NPC for OBJECT" as a substitute for "get OBJECT from NPC."
verb "ask"
    * living "for" xobject                                  DoGetReverse

!Replaces "open" so we can peform aliased "pry" operations with it.
verb "open"
	*                                                       DoVague
	* openable                                              DoOpen
    * openable "with"/"using" held                          DoPry

!Partial replacement for "DoSwitchOn"'s version of "TURN" to add more.
verb "turn", "rotate", "spin"
    *                                                       DoVague
    * object                                                DoTurn

!Adds "hint" to "help"
xverb "help", "hint", "hints", "tip", "tips", "clue"
    *                                                       DoHelp
